:root {
  --font-primary: "Montserrat", Arial, sans-serif;
  --font-secondary: "Anton", Arial, sans-serif;

  --primary-color: #8b0000;
  --secondary-color: #0b0f19;
  --white-color: #f0f0f0;
  --dark-color: #171717;
}

@keyframes zoomIn {
  0% {
    transform: scale(1.15); /* Startet 15% größer */
  }
  100% {
    transform: scale(1); /* Landet bei Normalgröße */
  }
}

html {
  scroll-behavior: smooth;
}

* {
  font-family: "Montserrat";
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

li {
  text-decoration: none;
  list-style: none;
}

.margin-top {
  margin-top: 12px;
}

body {
  box-sizing: border-box;
}

body:has(dialog[open]) {
  overflow: hidden;
}

.button {
  padding: 12px;
  background-color: var(--primary-color);
  color: var(--white-color);
  border: var(--white-color) 2px solid;
  font-size: 16px;
  border-radius: 22px;
  font-family: "Montserrat";
  text-transform: uppercase;
  font-weight: 700;
  text-decoration: none;
  transition:
    background-color 0.3s ease,
    transform 0.3s ease;
}

.hiddenOnDesktop {
  display: none;
}

a {
  font-size: 18px;
  text-decoration: none;
  list-style: none;
  color: var(--dark-color);
}

.button:hover {
  background-color: var(--white-color);
  color: var(--secondary-color);
  cursor: pointer;
  transform: scale(1.1);
}

.boxed-container {
  width: 1150px;
  margin-inline: auto;
  display: flex;
}

header {
  display: flex;
  justify-content: space-around;
  position: fixed;
  width: 100vw;
  top: 0;
  align-items: center;
  height: 110px;
  padding: 32px;
  background-color: var(--secondary-color);
  z-index: 100;
}

.header_logo {
  display: flex;
  width: 230px;
}

h1 {
  color: var(--primary-color);
  font-family: "Anton";
  font-size: 52px;
  margin-bottom: 0;
}

h2 {
  color: var(--primary-color);
  font-family: "Anton";
  font-size: 24px;
  margin-top: 0;
}

h3 {
  color: var(--primary-color);
  font-family: "Anton";
  font-size: 20px;
  margin-top: 0;
}

hr {
  width: 80px;
  color: var(--primary-color);
  margin-top: 6px;
  margin-bottom: 6pxs;
}

p {
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
}

navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 52px;
}

navbar a {
  list-style: none;
  text-decoration: none;
  color: var(--white-color);
  text-transform: uppercase;
}

navbar a:hover {
  color: var(--primary-color);
}

navbar a:focus {
  color: var(--primary-color);
}

.cover {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-image: url(img/cover_ziyafet.jpg);
  background-position: center;
  background-size: cover;
  box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.616);
}

.cover-inhalt {
  display: flex;
  width: 60%;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
  color: var(--white-color);
  gap: 18px;
  text-shadow: -3px 2px 5px rgba(0, 0, 0, 0.51);
}

.störer_cover {
  width: 182px;
  position: absolute;
  top: 182px;
  right: 180px;
  rotate: 10deg;
}

.cover_logo {
  width: 232px;
}

.cover_title {
  font-size: 74px;
  font-family: "Anton";
}

.cover_subtitle {
  font-size: 34px;
  text-transform: uppercase;
  font-family: "Anton";
}

.cover_title_red {
  color: var(--primary-color);
  font-size: 74px;
  font-family: "Anton";
}

.white-color {
  color: var(--white-color);
}

.welcome_inhalt {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  text-align: left;
  gap: 8px;
  padding-top: 32px;
  padding-bottom: 32px;
}

.welcome_title {
  font-size: 62px;
}

.welcome_subtitle {
  font-weight: 100;
  font-size: 24px;
}

.welcome_img {
  object-fit: cover;
  object-position: 10%;
  rotate: -5deg;
  width: 532px;
  margin: 32px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
}

.welcome_img_2 {
  position: absolute;
  object-fit: cover;
  object-position: 20%;
  right: 20px;
  top: 630px;
  rotate: 10deg;
  width: 362px;
  margin: 32px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
}

.welcome_pros {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.welcome_pros_icon {
  display: flex;
  width: 32px;
}

.welcome_pros p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 14px;
}

.welcome_icon_box {
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 36px;
}

.welcome_icon {
  width: 62px;
  border-radius: 50%;
  border: double var(--primary-color) 2px;
  padding: 6px;
}

.speisekarte_inhalt {
  margin-top: 32px;
  margin-bottom: 32px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: row;
}
.speisekarte {
  background-image: url(img/cover_speisekarte.jpg);
  background-position: center;
  box-shadow: inset 0 0 0 2000px #f6f6f6e6;
  padding-bottom: 32px;
  padding-top: 32px;
}

.speisekarte-textbox {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding: 32px;
  padding-left: 132px;
  color: var(--dark-color);
  gap: 12px;
}

.speisekarte-textbox h1,
h3 {
  text-transform: uppercase;
}

.speisekarte-img {
  width: 292px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
}

.speisekarte_buttons {
  margin-top: 22px;
  display: flex;
  flex-direction: row;
  gap: 12px;
}

.reservierung {
  background-image: url(img/ziyafed-gallery-img10.jpg);
  box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.7);
  background-position: center;
  background-size: cover;
}

.reservierung-inhalt {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
  margin-top: 124px;
  margin-bottom: 124px;
  background-color: var(--white-color);
  color: var(--dark-color);
  padding: 32px;
  border-radius: 12px;
  gap: 12px;
  border: solid var(--dark-color) 4px;
}

.information_textbox {
  padding-top: 16px;
  padding-bottom: 16px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 8px;
}

.contact_form {
  margin-left: 320px;
}

.information_textbox a {
  text-decoration: none;
  list-style: none;
  color: var(--secondary-color);
  text-align: center;
}

.information_inhalt {
  display: flex;
  text-align: center;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.information {
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-inline: auto;
  padding-top: 32px;
  padding-bottom: 32px;
  background-image: url(img/information_cover.png);
  box-shadow: inset 0 0 0 2000px #ffffff16;
  background-position: left;
  background-size: contain;
  background-repeat: no-repeat;
}

footer {
  position: flex;
  width: 100%;
  background-color: var(--secondary-color);
  color: var(--white-color);
  padding-left: 0px;
  padding-right: 0px;
  padding-top: 32px;
  overflow: hidden;
  bottom: 0;
}

footer a:hover {
  color: var(--primary-color);
}

.footer_inhalt {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
  color: var(--white-color);
  gap: 12px;
}

.rechtliches_footer {
  display: flex;
  flex-direction: row;
  gap: 12px;
}

.rechtliches_footer a {
  gap: 8px;
  text-decoration: none;
  list-style: none;
  color: var(--white-color);
}

.footer_logo {
  width: 142px;
}

.subfooter {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  background-color: var(--primary-color);
  color: var(--white-color);
  padding: 6px;
  margin-top: 22px;
}

[id] {
  scroll-margin-top: 120px;
}

.subfooter p {
  font-size: 14px;
}

.subfooter a {
  text-decoration: none;
  color: var(--white-color);
  font-size: 14px;
}
.subfooter a:hover {
  color: var(--white-color);
}

.footer_socialicons {
  width: 32px;
}

.copyright {
  font-size: 14px;
}

.column {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 2px;
  margin: 2px auto;
}

.column_2 {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 2px;
  margin: 10px auto;
}

.column_2 img {
  object-fit: cover;
  width: 100%;
  height: 232px;
  border-radius: 4px;
}

.column img {
  object-fit: cover;
  width: 100%;
  height: 232px;
  border-radius: 4px;
  cursor: zoom-in;
}

.popup-1 {
  position: fixed;
  text-align: center;
  border-radius: 10px;
  margin: 32px;
  width: 420px;
  padding: 32px;
  top: 25%;
  margin-inline: auto;
  background-color: var(--white-color);
}

dialog::backdrop {
  background-color: rgba(0, 0, 0, 0.5);
}

dialog[open] {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: 0;
  box-shadow: 0 0 0 100vmax rgba(0, 0, 0, 0.7);
  z-index: 9999;
  gap: 12px;
  overflow: hidden;
}

#gallery-dialog {
  border: none;
  background: transparent;
  overflow: hidden;
  border-radius: 12px;
}

.gallery-page {
  margin-top: 132px;
}

/* Dunkelt die restliche Seite leicht ab */
#gallery-dialog::backdrop {
  background: rgba(0, 0, 0, 0.7);
}

/* Zwingt das Bild, groß zu werden (maximal so groß wie der Bildschirm) */
#gallery-dialog-img {
  display: block;
  border-radius: 12px;
  width: 95%; /* Nutzt 95% der Bildschirmbreite */
  height: 95%; /* Nutzt 95% der Bildschirmhöhe */
  object-fit: contain;
  cursor: zoom-out;
  padding: 12px;
  background-color: var(--white-color);
}

.close-popup-icon {
  width: 32px;
  right: 34px;
  top: 38px;
  position: absolute;
  background-color: var(--primary-color);
  border-radius: 50px;
  padding: 4px;
}

.klima_icon {
  width: 52px;
  background-color: var(--primary-color);
  border-radius: 50%;
  padding: 8px;
}

.impressum-datenschutzbox {
  margin-top: 92px;
  display: flex;
  flex-direction: column;
  padding-top: 52px;
  padding-bottom: 52px;
  gap: 12px;
}

.restaurant_open {
  border-radius: 0px 10px 0px 0px;
  bottom: 0px;
  font-weight: 600;
  position: fixed;
  padding: 6px;
  background-color: #276830; /* Dein Grün */
  color: var(--white-color);
  font-size: 14px;
}

.restaurant_closed {
  border-radius: 0px 10px 0px 0px;
  bottom: 0px;
  position: fixed;
  padding: 6px;
  background-color: var(--primary-color); /* Dein Dunkelrot */
  color: var(--white-color);
  font-size: 14px;
}

.restaurant_vacation {
  border-radius: 0px 10px 0px 0px;
  bottom: 0px;
  position: fixed;
  padding: 6px;
  background-color: #ffcc00; /* Gelb für Urlaub */
  color: black;
  font-size: 14px;
}

.cover_reservierung {
  padding-top: 92px;
  height: 60vh;
  display: flex;
  background-image: url(img/ziyafed-gallery-img7.jpg);
  box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.7);
  background-position: center;
  background-size: cover;
}

.cover_reservierung_inhalt {
  color: var(--white-color);
  padding: 32px;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.info-box-reservation {
  padding-top: 32px;
  padding-bottom: 32px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

@media screen and (min-width: 1024px) and (orientation: landscape) {
  .container {
    max-width: 960px; /* Mehr Breite freigeben */
  }

/*   .störer_cover {
    width: 142px;
    position: absolute;
    top: 152px;
    right: 50px;
    rotate: 10deg;
  } */

  /* .welcome_img{
  margin-top: 30px !important;
    width: 50%;
    margin: 0px;
} */
}

@media (max-width: 768px) {
  .hiddenOnMobile {
    display: none;
  }

  h1 {
    font-size: 32px;
  }

  .padding-container {
    padding: 20px;
  }

  .cover-inhalt {
    margin-top: 52px;
    width: 100%;
    height: 100vh;
  }

  navbar {
    gap: 12px;
  }

  .cover {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 52px;
    padding-bottom: 52px;
    width: 100%;
    height: max-content;
    box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.816);
    background-position: center;
  }

  .cover_title,
  .cover_title_red {
    font-size: 52px;
  }

  .cover_subtitle {
    font-size: 24px;
  }

  .störer_cover {
    width: 82px;
    position: absolute;
    top: 152px;
    right: 20px;
    rotate: 10deg;
  }

  .welcome_inhalt {
    display: flex;
    flex-wrap: wrap;
  }

  .welcome_pros {
    align-items: flex-start;
  }

  .welcome_title {
    font-size: 42px;
  }

  .welcome_inhalt_box {
    display: flex;
    flex-direction: column-reverse;
    width: 100%;
  }

  .welcome_img {
    margin-top: -30px !important;
    width: 100%;
    margin: 0px;
  }

  .welcome_img_2 {
    width: 80%;
    position: inherit;
    margin-top: -20px;
    margin-right: 4px;
  }

  .cover_logo {
    width: 92px;
    background-size: cover;
    background-position: center;
  }

  .cover-inhalt {
    text-align: center;
    padding: 20px;
  }

  .speisekarte_inhalt {
    flex-direction: column;
    width: 100%;
  }

  .speisekarte-textbox {
    padding: 20px;
  }

  .speisekarte-img {
    width: 182px;
  }

  .column {
    grid-template-columns: repeat(3, 1fr);
  }

  #gallery-dialog-img {
    display: block;
    width: auto;
    height: auto;
    width: 100%; /* Nutzt 95% der Bildschirmbreite */
    max-height: 95vh; /* Nutzt 95% der Bildschirmhöhe */
    object-fit: contain;
    cursor: zoom-out;
  }

  #gallery-dialog {
    width: max-content;
    height: max-content;
  }

  .reservierung {
    display: flex;
    padding: 20px;
    background-size: cover;
  }

  .information_inhalt {
    flex-direction: column;
    width: 100%;
    align-items: center;
    margin: 0;
  }

  .information_textbox {
    padding-bottom: 12px;
  }

  .information {
    width: 100%;
    display: flex;
    background-position: 30%;
    background-size: cover;
    box-shadow: inset 0 0 0 2000px #ffffffd6;
  }

  .footer_inhalt {
    width: 100%;
  }

  .impressum-datenschutzbox {
    width: 100%;
    padding: 20px;
    padding-top: 30px;
    padding-bottom: 30px;
    overflow: hidden;
  }

  .cover_reservierung {
    margin-top: 32px;
    height: 50vh;
  }

  .form_inhalt_box {
    display: flex;
    align-items: flex-start;
    width: 100%;
    flex-direction: column;
    padding: 20px;
  }

  .info-box-reservation {
    padding-top: 0;
    padding-bottom: 0;
  }

  .popup-1 {
    margin: 20px;
    width: 90%;
  }

  .header_logo {
    width: 182px;
  }

  #header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

  header .button {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    height: 42px;
  }

  header .button:hover {
    background-color: var(--white-color);
    color: var(--secondary-color);
  }

  .danke_box {
    overflow: hidden;
  }
}
